<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib tagdir="/WEB-INF/tags" prefix="tags" %>


<jsp:useBean id="viewHelper" type="com.jscape.inet.mft.subsystems.authentication.keystore.web.ViewHelper" scope="request" />


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <%@ include file="/WEB-INF/jspf/meta.jspf" %>
    <title><fmt:message key="KeyManager.title.generatePgpKey"/></title>
    <tags:style url="/css/base.css"/>
    <tags:style url="/css/account.css"/>
    <script type="text/javascript">if (top == self) { top.location.href = '<c:url value="/" />'; }</script>
</head>
<body>

<%@ include file="/WEB-INF/jspf/js-enable.jspf" %>
<tags:responseResult result="${requestScope.responseResult}" />

<c:set var="actionUrl" value="/accounts/GeneratePgpKey" />
<form action="${actionUrl}" method="post">
    <tags:input type="hidden" name="c" value="${viewHelper.formChallenge}" />
    <tags:input type="hidden" name="generatepgpkey" value="true" />

    <table class="layout">
        <tags:input type="text" name="realname" value="${param.realname}" required="true">
            <jsp:attribute name="label">
                <fmt:message key="KeyManager.label.realName" />
            </jsp:attribute>
            <jsp:attribute name="template">
                <tr><td class="nw">${labelTag}</td><td>${inputTag}</td></tr>
            </jsp:attribute>
        </tags:input>

        <tags:input type="text" name="email" value="${param.email}">
            <jsp:attribute name="label">
                <fmt:message key="KeyManager.label.email" />
            </jsp:attribute>
            <jsp:attribute name="template">
                <tr><td class="nw">${labelTag}</td><td>${inputTag}</td></tr>
            </jsp:attribute>
        </tags:input>

        <tags:select name="keytype" items="${viewHelper.pgpKeyTypes}" selected="${param.type}" required="true">
            <jsp:attribute name="label">
                <fmt:message key="KeyManager.label.keyType"/>
            </jsp:attribute>
            <jsp:attribute name="template">
                <tr><td class="nw">${labelTag}</td><td>${selectTag}</td></tr>
            </jsp:attribute>
        </tags:select>

        <tags:select name="length" items="${viewHelper.pgpKeyLengths}" selected="${param.length}" required="true">
            <jsp:attribute name="label">
                <fmt:message key="KeyManager.label.keyLength"/>
            </jsp:attribute>
            <jsp:attribute name="template">
                <tr><td class="nw">${labelTag}</td><td>${selectTag}</td></tr>
            </jsp:attribute>
        </tags:select>

        <tags:input type="password" name="filepwd">
            <jsp:attribute name="label">
                <fmt:message key="KeyManager.label.filePassword"/>
            </jsp:attribute>
            <jsp:attribute name="template">
                <tr><td class="nw">${labelTag}</td><td>${inputTag}</td></tr>
            </jsp:attribute>
        </tags:input>

        <tags:input type="password" name="confirmpwd">
            <jsp:attribute name="label">
                <fmt:message key="KeyManager.label.confirmPassword"/>
            </jsp:attribute>
            <jsp:attribute name="template">
                <tr><td class="nw">${labelTag}</td><td>${inputTag}</td></tr>
            </jsp:attribute>
        </tags:input>

    </table>
</form>

</body>
</html>