<%@ taglib tagdir="/WEB-INF/tags/account" prefix="account" %>
<%@ include file="/WEB-INF/jsp/account/admin/header.jspf"%>

<jsp:useBean id="viewHelper" type="com.jscape.inet.mft.transport.web.accounts.users.ViewHelper" scope="request"/>
<c:set var="managedUser" value="${viewHelper.managedUserVO}" scope="request" />
<jsp:useBean id="managedResource" class="com.jscape.inet.mft.transport.web.accounts.users.ResourceVO" scope="request" />
<c:set var="resourcePermissions" value="${managedResource.permissions}" scope="request" />

<div><%-- todo: implement breadcurmbs --%>
    <%-- Domain Administration > Users > Edit user account > Add Path --%>
    <tags:link url="/accounts/ManageAccount"><fmt:message key="admin.title" /></tags:link>
    > <tags:link url="/accounts/ManageUsers"><fmt:message key="admin.manage.users.title" /></tags:link>
    > <account:link url="/accounts/EditUser" account="${managedUser}">
        <fmt:message key="admin.edit.user.title"><fmt:param value="${fn:escapeXml(managedUser.login)}"/></fmt:message>
    </account:link>
    > <fmt:message key="admin.create.path.title" />
</div><br/>

<h1><fmt:message key="admin.create.path.title"/></h1>

<div id="account">
    <tags:responseResult result="${requestScope.responseResult}" />
    <c:url var="actionUrl" value="/accounts/AddPath" />
    <form action="${actionUrl}" method="post">
        <tags:input type="hidden" name="id" value="${managedUser.id}" />
        <table class="layout">
            <tags:input type="text" name="path" value="${param.path}" required="true" size="60">
                <jsp:attribute name="label">
                    <fmt:message key="label.path" />
                </jsp:attribute>
                <jsp:attribute name="template">
                    <tr><td>${labelTag}</td><td>${inputTag}</td></tr>
                </jsp:attribute>
            </tags:input>

            <%@ include file="virtual.jspf" %>
        </table><br /><%@ include file="js/init.jspf"%>

        <fieldset>
            <%@ include file="permissions.jspf" %>
        </fieldset>

        <p><tags:input type="submit" name="save">
                <jsp:attribute name="value">
                    <fmt:message key="button.ok" />
                </jsp:attribute>
            </tags:input>&nbsp;
            <tags:input type="submit" name="cancel" formnovalidate="">
                <jsp:attribute name="value">
                    <fmt:message key="button.cancel" />
                </jsp:attribute>
            </tags:input>
        </p>
    </form>

</div>

<%@ include file="/WEB-INF/jsp/view/inactivity/service.jspf" %>

</body>
</html>