<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib prefix="dlp" tagdir="/WEB-INF/tags/account/dlp" %>
<%@ include file="/WEB-INF/taglibs.jspf" %>


<jsp:useBean id="viewHelper" type="com.jscape.inet.mft.transport.web.accounts.users.ViewHelper" scope="request"/>
<jsp:setProperty name="viewHelper" property="dlpEntryId" param="dlpid"/>
<c:set var="managedDlpEntry" value="${viewHelper.managedDlpEntryVO}" scope="request"/>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <%@ include file="/WEB-INF/jspf/meta.jspf" %>
    <title><fmt:message key="VirtualPath.DLP.editEntryTitle"/></title>
    <tags:style url="/css/base.css" />
    <tags:style url="/css/account.css" version="${buildVersion}"/>
    <%@ include file="/WEB-INF/jspf/js/utils.jspf"%>
    <script type="text/javascript">if (top == self) { top.location.href = '<c:url value="/" />'; }</script>
</head>
<body>

<%@ include file="/WEB-INF/jspf/js-enable.jspf" %>
<tags:responseResult result="${requestScope.responseResult}" />

<c:url var="actionUrl" value="/accounts/EditDlpEntry" />
<form action="${actionUrl}" method="post">
    <tags:input type="hidden" name="id" value="${viewHelper.managedUserVO.id}" />
    <tags:input type="hidden" name="vpid" value="${viewHelper.managedResourceVO.id}" />
    <tags:input type="hidden" name="dlpid" value="${managedDlpEntry.id}" />
    <tags:input type="hidden" name="save" value="true" />
    <p><fmt:message key="VirtualPath.DLP.editEntryInfo"/></p>

    <table class="layout">
        <tags:select name="rule" items="${viewHelper.dlpRuleNames}" selected="${managedDlpEntry.rule}">
            <jsp:attribute name="label">
                <fmt:message key="VirtualPath.DLP.ruleLabel"/>
            </jsp:attribute>
            <jsp:attribute name="template">
                <tr><td>${labelTag}</td><td>${selectTag}</td></tr>
            </jsp:attribute>
        </tags:select>

        <dlp:access>
            <tags:select name="access" items="${dlpAccessItemsMap}" selected="${managedDlpEntry.access}">
                <jsp:attribute name="label">
                    <fmt:message key="VirtualPath.DLP.ruleAccessLabel"/>
                </jsp:attribute>
                <jsp:attribute name="template">
                    <tr><td>${labelTag}</td><td>${selectTag}</td></tr>
                </jsp:attribute>
            </tags:select>
        </dlp:access>

        <tags:input type="checkbox" name="enabled" value="true">
            <jsp:attribute name="label">
                <fmt:message key="VirtualPath.DLP.ruleEnableLabel" />
            </jsp:attribute>
            <jsp:attribute name="checked">
                <c:out value="${param[enabled]}" default="${managedDlpEntry.enabled}" />
            </jsp:attribute>
            <jsp:attribute name="template">
                <tr><td colspan="2">${inputTag}&nbsp;${labelTag}</td></tr>
            </jsp:attribute>
        </tags:input>
    </table>
</form>

</body>
</html>