<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="/WEB-INF/taglibs.jspf" %>

<%@ include file="../header.jspf" %>

<jsp:useBean id="webConfig" scope="request" type="com.jscape.inet.mft.management.common.WebConfiguration" />
<c:set var="isDomainInputVisible" value="${webConfig.domainVisible or empty webConfig.defaultDomain}" />

<div id="container">
    <h1><fmt:message key="LostPassword.TITLE"/></h1>
    <p><fmt:message key="LostPassword.INFO"/></p>

    <tags:responseResult result="${requestScope.responseResult}">
        <jsp:attribute name="errorTitle"><fmt:message key="Error.MESSAGE_TITLE"/></jsp:attribute>
    </tags:responseResult>

    <c:url var="actionUrl" value="/LostPassword"/>
    <form action="${actionUrl}" method="post" accept-charset="utf-8">
        <c:if test="${!isDomainInputVisible}">
            <tags:input type="hidden" name="domain" value="${webConfig.defaultDomain}"/>
        </c:if>

        <table cellpadding="3" border="0">
            <c:if test="${isDomainInputVisible}">

                <tags:input type="text" name="domain" required="true" size="30">
                    <jsp:attribute name="label">
                        <fmt:message key="Label.DOMAIN"/>
                    </jsp:attribute>
                    <jsp:attribute name="template">
                        <tr><td>${labelTag}</td><td>${inputTag}</td></tr>
                    </jsp:attribute>
                    <jsp:attribute name="value">
                        ${not empty param.domain
                            ? param.domain
                            : (not empty webConfig.defaultDomain ? webConfig.defaultDomain : requestScope.domain)}
                    </jsp:attribute>
                </tags:input>

            </c:if>

            <tags:input type="text" name="username" required="true" value="${param.username}" size="30">
                <jsp:attribute name="label">
                    <fmt:message key="Label.USERNAME"/>
                </jsp:attribute>
                <jsp:attribute name="template">
                    <tr><td>${labelTag}</td><td>${inputTag}</td></tr>
                </jsp:attribute>
            </tags:input>
        </table><br/>

        <p><tags:input type="submit" name="reset">
                <jsp:attribute name="value">
                    <fmt:message key="Button.RESET_PASSWORD"/>
                </jsp:attribute>
            </tags:input>&nbsp;
            <tags:input type="submit" name="cancel" formnovalidate="">    
                <jsp:attribute name="value">
                    <fmt:message key="Button.CANCEL"/>
                </jsp:attribute>
            </tags:input>
        </p>
    </form>
</div>


<%@ include file="/WEB-INF/jspf/footer.jspf" %>