<%@ include file="/WEB-INF/taglibs.jspf" %>
<%@ taglib tagdir="/WEB-INF/tags/file" prefix="file" %>
<%@ taglib tagdir="/WEB-INF/tags/search" prefix="search" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <%@ include file="/WEB-INF/jspf/meta.jspf" %>
    <title><fmt:message key="title"/></title>
    <tags:style url="/css/base.css" version="${buildVersion}"/>
    <tags:style url="/css/content.css" version="${buildVersion}"/>
</head>
<body>
<%@ include file="/WEB-INF/jspf/js-enable.jspf" %>
<%@ include file="../loginInfo.jspf" %>
<%@ include file="../html/logo.jspf" %>


<div id="advancedsearch">
    <h2><fmt:message key="Search.advanced.title"/></h2>
    <form action="/action/search" method="post" accept-charset="utf-8">
        <fieldset>
        <table class="layout">
            <tags:input type="text" name="q" maxlength="2048" value="${param['q']}">
                <jsp:attribute name="label">
                    <fmt:message key="Search.label.text"/>
                </jsp:attribute>
                <jsp:attribute name="template">
                    <tr><td class="label">${labelTag}</td><td><div class="wrapper">${inputTag}</div></td></tr>
                </jsp:attribute>
            </tags:input>

            <tags:input type="text" name="sfname" value="${param['sfname']}">
                <jsp:attribute name="label">
                    <fmt:message key="Search.label.name"/>
                </jsp:attribute>
                <jsp:attribute name="template">
                    <tr><td class="label">${labelTag}</td><td><div class="wrapper">${inputTag}</div></td></tr>
                </jsp:attribute>
            </tags:input>

            <tags:input type="text" name="sftag" value="${param['sftag']}">
                <jsp:attribute name="label">
                    <fmt:message key="Search.label.tag"/>
                </jsp:attribute>
                <jsp:attribute name="template">
                    <tr><td class="label">${labelTag}</td><td><div class="wrapper">${inputTag}</div></td></tr>
                </jsp:attribute>
            </tags:input>

            <search:predicate var="sizePredicateItems" />
            <tags:input type="text" name="sfsize" size="10" maxlength="9" value="${param['sfsize']}" autocomplete="off">
                <jsp:attribute name="label">
                    <fmt:message key="Search.label.size"/>
                </jsp:attribute>
                <jsp:attribute name="template">
                    <tr><td class="label">${labelTag}</td><td class="nw"><tags:select name="prsize" items="${sizePredicateItems}" selected="${param['prsize']}" class="predicate"/>
                        ${inputTag}&nbsp;<fmt:message key="Search.field.size.dimension"/></td></tr>
                </jsp:attribute>
            </tags:input>

            <search:predicate var="datePredicateItems" />
            <c:set var="searchDateFieldPattern" value="MM/dd/yyyy" scope="application"/>
            <tags:input type="text" name="sfdate" size="10" maxlength="10" value="${param['sfdate']}" autocomplete="off">
                <jsp:attribute name="label">
                    <fmt:message key="Search.label.date"/>&nbsp;<span class="desc">(${fn:toLowerCase(searchDateFieldPattern)})</span>
                </jsp:attribute>
                <jsp:attribute name="template">
                    <tr><td class="label">${labelTag}</td><td class="nw"><tags:select name="prdate" items="${datePredicateItems}" selected="${param['prdate']}" class="predicate"/>${inputTag}</td></tr>
                </jsp:attribute>
            </tags:input>

            <tags:input type="submit" name="">
                <jsp:attribute name="value">
                    <fmt:message key="Search.button.advanced"/>
                </jsp:attribute>
                <jsp:attribute name="template">
                    <tr><td colspan="2" align="right">${inputTag}</td></tr>
                </jsp:attribute>
            </tags:input>
        </table>
        </fieldset>
    </form>
</div>

<%@ include file="js/init.jspf" %>
<%@ include file="/WEB-INF/jsp/view/inactivity/service.jspf"%>

</body>
</html>