<%@ tag body-content="empty" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib tagdir="/WEB-INF/tags" prefix="t" %>
<%@ attribute name="name" %>
<%@ attribute name="value" type="java.lang.Integer" required="true" %>
<%@ attribute name="defaultValue" type="java.lang.Integer" %>
<%@ attribute name="label"%>
<%@ attribute name="enabledSuffix" type="java.lang.String" description="Default value - enabled" %>
<%@ attribute name="valueSuffix" type="java.lang.String" description="Default value - count" %>
<%@ attribute name="template" fragment="true" %>
<%@ variable name-given="enabledControl" scope="NESTED" %>
<%@ variable name-given="quotaControl" scope="NESTED" %>

<c:set var="enabledInputName" value="${name}${not empty enabledSuffix ? enabledSuffix : 'enabled'}" />
<c:set var="valueInputName" value="${name}${not empty valueSuffix ? valueSuffix : 'count'}" />
<c:set var="isEmptyValue" value="${empty value or value <= 0}" />
<c:set var="quotaValue">${not empty param[valueInputName] ? param[valueInputName] : (not isEmptyValue ? value : defaultValue)}</c:set>
<c:set var="quotaEnabled" value="${param[enabledInputName] or not isEmptyValue}" />

<c:set var="enabledControl">
    <t:input type="checkbox" name="${enabledInputName}" value="true" checked="${quotaEnabled}" label="${label}" />
</c:set>

<c:set var="quotaControl">
    <t:input type="text" name="${valueInputName}" disabled="${not quotaEnabled}" size="10" maxlength="9">
        <jsp:attribute name="value">
            <fmt:formatNumber type="number" groupingUsed="false" maxIntegerDigits="9" maxFractionDigits="0" value="${quotaValue}" />
        </jsp:attribute>
    </t:input>
</c:set>

<c:choose>
    <c:when test="${not empty template}">
        <jsp:invoke fragment="template"/>
    </c:when>
    <c:otherwise>
        ${enabledControl} ${quotaControl}
    </c:otherwise>
</c:choose>