<%@ tag body-content="empty" dynamic-attributes="args" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ taglib tagdir="/WEB-INF/tags" prefix="tags" %>

<%@ attribute name="name" required="true" %>
<%@ attribute name="path" required="true" %>
<%@ attribute name="directory" type="java.lang.Boolean" %>
<%@ attribute name="cssClass" type="java.lang.String" %>
<%@ attribute name="maxLength" type="java.lang.Integer" description="Truncate name if longer that max length value" %>
<%@ attribute name="showIcon" type="java.lang.Boolean" description="If true show icon before link. Default value - true." %>


<%-- encode spaces inside or on the sides of filename --%>
<tags:ellipsis var="filename" value="${fn:replace(fn:escapeXml(name),' ','&nbsp;')}" maxLength="${maxLength}" escapeXml="false"/>
<c:set var="cssClassValue">
    <c:if test="${empty showIcon or showIcon}">
        <c:choose>
            <c:when test="${directory}">folder ${cssClass}</c:when>
            <c:otherwise>file ${cssClass}</c:otherwise>
        </c:choose>
    </c:if>
</c:set>
<tags:tagDynamicAttributes dynamicAttributes="${args}" />


<c:choose>
    <c:when test="${directory}">
        <c:url var="changeDirLink" value="/action/cwd">
            <c:param name="filename">${path}</c:param>
        </c:url>
        <a href="${fn:escapeXml(changeDirLink)}" class="${fn:trim(cssClassValue)}" directory="true" ${tagAttributes}>${filename}</a>
    </c:when>

    <c:otherwise>
        <c:set var="downloadPath" value="${path}" />

        <%-- URL encode filename with '#' character --%>
        <c:if test="${fn:contains(downloadPath, '#')}">
            <c:set var="downloadPath" value="${fn:replace(downloadPath, '#', '%23')}" />
        </c:if>

        <c:if test="${fn:startsWith(downloadPath, '/')}">
            <c:set var="downloadPath" value="${fn:substring(downloadPath, 1, fn:length(downloadPath))}" />
        </c:if>

        <c:url var="fileDownloadLink" value="/action/dload/${downloadPath}" />
        <a href="${fileDownloadLink}" class="${fn:trim(cssClassValue)}" ${tagAttributes}>${filename}</a>
    </c:otherwise>
</c:choose>