<%@ tag body-content="empty" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ taglib tagdir="/WEB-INF/tags" prefix="tags" %>
<%@ taglib tagdir="/WEB-INF/tags/file" prefix="file" %>

<%@ attribute name="file" required="true" type="com.jscape.inet.mft.transport.web.storage.http.VirtualFileVO" %>
<%@ attribute name="asParentDir" type="java.lang.Boolean" %>
<%@ attribute name="maxLength" type="java.lang.Integer" %>


<c:choose>
    <c:when test="${asParentDir}">
        <c:set var="parentDir" value="${fn:substringBefore(file.path, file.name)}" />
        <file:link name="${parentDir}" path="${parentDir}" absolutepath="${file.path}" directory="true" cssClass="${file.cssClass}" showIcon="false" maxLength="${maxLength}"/>
    </c:when>

    <c:when test="${file.directory}">
        <file:link name="${file.name}" path="${file.path}" absolutepath="${file.path}" directory="${file.directory}" cssClass="${file.cssClass}"/>
    </c:when>

    <c:otherwise>
        <c:url var="downloadUrl" value="/action/dload"><c:param name="filename" value="${file.path}"/></c:url>
        <tags:ellipsis var="displayName" value="${file.name}" maxLength="${maxLength}" />
        <c:set var="cssClassValue">
            <c:choose>
                <c:when test="${file.directory}">folder ${file.cssClass}</c:when>
                <c:otherwise>file ${file.cssClass}</c:otherwise>
            </c:choose>
        </c:set>

        <a href="${downloadUrl}" absolutepath="${file.path}" title="${file.path}" class="${fn:trim(cssClassValue)}">${displayName}</a>
        <%--<file:link name="${file.name}" path="${file.path}" absolutepath="${file.path}" directory="${file.directory}" cssClass="${file.cssClass}"/>--%>
    </c:otherwise>
</c:choose>