var DlpSettingsController = Class.create({

    config: null,

    addEntryDialog: null,
    editEntryDialog: null,
    settingsDialog: null,

    _constructor: function(config) {
        this.config = Object.extend(Object.extend({}, DlpSettingsController.DEFAULT_CONFIG), config);
    },

    start: function() {
        this._showSettingsDialog();
    },

    _showSettingsDialog: function() {
        this.settingsDialog = new DlpSettingsDialog(this.config.dlpSettingsUrl);
        this.settingsDialog.show(Object.extend(new FormDialog.Listener(), {
            onAdd: this._handleAddEntry.bind(this),
            onEdit: this._handleEditEntry.bind(this),
            onDelete: this._handleDeleteEntry.bind(this),
            onMoveUp: this._handleMoveEntryUp.bind(this),
            onMoveDown: this._handleMoveEntryDown.bind(this),
            onSubmit: function(d) { d.hide(); },
            onCancel: function(d) { d.hide(); }
        }));
    },

    _reloadSettingsDialog: function() {
        if (this.settingsDialog) {
            this.settingsDialog.hide();
        }
        this._showSettingsDialog();
    },

    _handleAddEntry: function() {
        var dialog = new FormDialog("AddDlpEntryDilaog", this.config.addEntryUrl);
        dialog.setSize(430, 250);
        dialog.show(Object.extend(new FormDialog.Listener(), {
            onDone: this._handleDoneAddEntry.bind(this),
            onCancel: function(d) { d.dispose(); }
        }));
    },

    _handleEditEntry: function(id) {
        var dialog = new FormDialog("EditDlpEntryDilaog", this.config.editEntryUrl);
        dialog.setSize(450, 280);
        dialog.show(Object.extend(new FormDialog.Listener(), {
            onDone: this._handleDoneEditEntry.bind(this),
            onCancel: function(d) { d.dispose(); }
        }), {dlpid: id});
    },

    _handleDeleteEntry: function(dialog) {
        // do nothing
    },

    _handleDoneAddEntry: function(dialog) {
        dialog.dispose();
        this._reloadSettingsDialog();
    },

    _handleDoneEditEntry: function(dialog) {
        dialog.dispose();
        this._reloadSettingsDialog();
    },

    _handleMoveEntryUp: function(dialog) {
        var index = dialog.getSelectedIndex();
        dialog.moveItem(index - 1, index);
    },

    _handleMoveEntryDown: function(dialog) {
        var index = dialog.getSelectedIndex();
        dialog.moveItem(index, index + 1);
    }

});

DlpSettingsController.DEFAULT_CONFIG = {addEntryUrl: "", editEntryUrl: "", deleteEntryUrl: ""};